
#ifndef _C_CPU_H_
#define	_C_CPU_H_

// NOTE: These MUST be in this order!

struct scCpuStruct
{
  UINT8	*cineBase;				// Base address for CCPU
  // struct sMemoryWriteByte *psSoundWrite;	// Sound write address
  UINT16	accVal;				// CCPU Accumulator value
  UINT16	cmpVal;				// Comparison value
  UINT8	pa0;
  UINT8	cFlag;
  UINT16	eRegPC;
  UINT16	eRegA;
  UINT16	eRegB;
  UINT16	eRegI;
  UINT16	eRegJ;
  UINT8	eRegP;
  UINT8	eCState;
};

typedef struct scCpuStruct CONTEXTCCPU;

extern UINT32 cineExec(UINT32);
extern void cineReset(void);
extern void cineSetJMI(UINT8);
extern void cineSetMSize(UINT8);
extern void cineSetMonitor(UINT8);
extern void cSetContext(void *);
extern void cGetContext(void *);
extern UINT32 cineGetElapsedTicks(UINT32);
extern void cineReleaseTimeslice();
extern UINT32 cGetContextSize(void);
extern UINT8 bNewFrame;
extern UINT16 ram[256];
extern INT16 JoyX, JoyY;

extern UInt8 *rom;

extern UInt8 bFlipX;
extern UInt8 bFlipY;
extern UInt8 bSwapXY;
extern UInt16 ioInputs;
extern UInt16 ioSwitches;
extern UInt8 bOverlay;
extern INT32 sdwGameXSize;
extern INT32 sdwGameYSize;
extern INT32 sdwXOffset;
extern INT32 sdwYOffset;

#endif
