
#include "types.h"
#include "sim.h"
#include "ccpu.h"
#include "games.h"
#include "ripoffrom.h"

void initRipoff ( void ) {
  extern int ccpudebug;

  bFlipX = 0;
  bFlipY = 1;
  bSwapXY = 0;

  ioInputs = 0xffff;
  ioSwitches = 0xfff0;

  bOverlay = 0xff;
  cineSetJMI(1);
  cineSetMSize(0);
  cineSetMonitor(0);

  rom = ripoffrom;

  sdwGameXSize = 1024;
  sdwGameYSize = 768;
  sdwXOffset = 0;
  sdwYOffset = 0;

  // ccpudebug = 1;

  return;
}
